Subject: Re: "submodule foreach" much slower than removed "submodule--helper --list"

From: Taylor Blau <[email-masked]>
Date: Mon, 7 Nov 2022 21:50:28 -0500

On Mon, Nov 07, 2022 at 12:01:40PM +0100, Matti Möll wrote:
> On 16.10.22 00:40, Junio C Hamano wrote:
> >
> > If one likes the output from "submodule--helper list" so much, I
> > think your "ls-files" above should be the closest.  There seems to
> > have existed some logic to squash unmerged entries down to a single
> > one, too (git-submodule.sh in Git 2.0.0 era has a module_list shell
> > function that shows what "helper list" should be doing), though.
>
> I do actually like that submodule is hoisted out of the scripts but as a
> matter of fact it seems that the openembedded folks relied on the
> "submodule--helper list" call and with later git versions that doesn't work
> anymore.
>
> https://github.com/openembedded/openembedded-core/commit/6d9364e5f3535954f65cbbc694ee7933ac1d664f
>
> At the end of the day it's kinda their fault to depend on the
> submodule--helper but it does hinder adoption of new git versions for people
> using openembedded.

Yeah, I agree. It's unfortunate, but I think we consider anything with
'--' in the builtin name to be outside of our compatibility guarantee.

I recall a recent message on the list which where Junio said as much,
but I can't seem to find it :-<.

Thanks,
Taylor